Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06875 Original Reference Feature Always Feb 12, 2018, 05:58 May 22, 2020, 02:27
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Acknowledged Driver fcrash.cpp
Version 0.194 Fixed in Version Build 64-bit
Summary 06875: sf2m1, sf2m9: This is only a reference about this 2 sets in this driver (and maybe other similar clones)
Description I've noticed in this 2 sets in this hacks/bootlegs, probably need be verified with real hardware for more information:

The BGM has an accelerated music (very noticiable) in 5 to 10%
The SFX has a 5 to 10% more slowest effect (too noticiable)


The cpu clocks are very different to actual SF2' bootlegs emulated


This was verified with actual hardware years ago (sorry, but my pcb died about 10 years ago)
Steps To Reproduce For better test, change the next overclocks:

2152 sound to 105%
OKI sound to 95%
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems sf2m1, sf2m9
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.14740
Tafoid
Administrator
Feb 12, 2018, 13:37
Either one of these could be explained by the very fact that they are bootlegs. Some bootleg boards, I assume, may have used different xtals than the original board.. or even code modified to make their version 'unique'. There isn't a lot of value matching up bootlegs to originals.. there is a reason you can tell they are bootlegs. You are saying, though, you have (had) these exact bootlegs in your personal possession?
User avatar
No.14741
Fortuna
Tester
Feb 12, 2018, 23:30
The latest "literally" drowns in water about 10 years, but is 100% related to these sets
The major detail, is possible "swap" roms of runs various variants in this hardware (sf2m1 and sf2m9 are compatible), is probably can swap roms from "m2 to m10" without problems


PS: need find a set with these sounds again (is a bit hard find here)
User avatar
No.17218
Fortuna
Tester
Nov 28, 2019, 04:34
Update the notes about this 2 games, this 2 games "Must need" move to the new cpp (cps1bl_5205.cpp), for backgrounds, music and other effects explained time ago
User avatar
No.17231
r0ast3r
Tester
Nov 30, 2019, 23:32
No, sf2m1 and sf2m9 do not need moving into cps1bl_5205.cpp. That new driver is for cps1 bootlegs that use the non-standard sound hardware (2x oki MSM5205 instead of the oki M6295), those 2 games do not, they use normal YM2151+M6295. They do need moving out of fcrash (along with lots of other sf2 bootlegs in cps1.cpp) into a new driver, this is ongoing, see "a note reguarding bootlegs" in cps1.cpp, fcrash.cpp, cps1bl_5205.cpp etc.
Almost all of the bootlegs need verifying, but changes can only be made with supporting evidence. If you still have any pcb's you need to dump the roms (confirm exactly which set it is), measure the clocks, and provide pictures and/or videos of the pcb. Obviously that's quite a big ask but if there's any hope of getting the bootlegs sorted out then that's what's required.
User avatar
No.17571
Fortuna
Tester
Apr 25, 2020, 21:03
Ok, finally find a video with the sound and music, is short, but is confirmed M1
User avatar
No.17663
r0ast3r
Tester
May 19, 2020, 23:13
That is definately a YM2151+M6295 board, can see the oki (qfp44 chip) right next to the white sticker near the jamma connector. Can also hear the proper samples (drums etc.) which are missing on the 2xMSM5205 boards. So that confirms it should not move to the cps1bl_5205.cpp driver.
As for the original bug, I guess all we can do tweak clocks based on that video and/or measure clocks properly if another board ever turns up.
User avatar
No.17666
Danielrsti
Tester
May 22, 2020, 02:27
edited on: May 23, 2020, 00:52
I have found 3 videos. 1 from CE-M1 and 2 from M9
Those m1-ce and m1-red wave are very common in Brazil. Some are bad fixed or cheaply made with the Oki frequency really low, like 80%. I cant find a video of this version.
Things in common:
Ken Stage have a foot part(Sagat)? apearing on the boat animation
Misaligned KO
All stages dont have the perspective floor effect
Crowd is missing
Zangief stage no animations
Music have no fade out in the end of round. Just cut abruptly.
Defeated screen have that strange efect of the text appearing in 1 frame
Guile stage crate moved to the left
Ken stage barrel moved to the left, big blue boat moved a little bit to the right, right boat moved to the left
(Edit: Fixed some typos)